#include "pstat.h"

class CPStatTestDlg : public CDialog
{
public:
  CPStatTestDlg(_In_opt_ CWnd* pParent = nullptr);

  enum { IDD = IDD_PSTATTEST_DIALOG };
  CButton	m_ctrlConfirmCancel;
  CButton	m_ctrlAllowCancel;
  BOOL	m_bAllowCancel;
  BOOL	m_bConfirmCancel;

protected:
  virtual void DoDataExchange(CDataExchange* pDX);
  virtual BOOL OnInitDialog();
  static BOOL IsPrime(_In_ long nNumber);
  static void CalculatePrimeNumbers(_In_opt_ CProgressThreadDlg* pDlg, _In_ DWORD_PTR dwItemData);

  HICON m_hIcon;

  afx_msg void OnPaint();
  afx_msg HCURSOR OnQueryDragIcon();
  afx_msg void OnWithPstat();
  afx_msg void OnWithoutPstat();
  afx_msg void OnAllowCancel();
  afx_msg void OnConfirmCancel();

  DECLARE_MESSAGE_MAP()
};


